Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class JaxbFactType

`java.lang.Object
java.util.AbstractMap
java.util.HashMap
oracle.rules.sdk.editor.datamodel.ModelComponent
oracle.rules.sdk.editor.datamodel.FactType
oracle.rules.sdk.editor.datamodel.JavaFactType
oracle.rules.sdk.editor.datamodel.JaxbFactType`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class JaxbFactType
extends JavaFactType

Represent a Jaxb Class

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROP_GENERATED_FROM`
`static java.lang.String` | `PROP_XML_NAME`

Fields inherited from class oracle.rules.sdk.editor.datamodel.JavaFactType
`PROP_ARRAY, PROP_ARRAY_COMPONENT_TYPE, PROP_CONSTRUCTOR_TABLE, PROP_METHOD_TABLE, PROP_PROPERTY_TABLE, PROP_STATIC_FIELD_TABLE, PROP_SUPER_CLASS, PROP_SUPPORT_XPATH`

Fields inherited from class oracle.rules.sdk.editor.datamodel.FactType
`BOOLEAN, BYTE, CHAR, DOUBLE, FLOAT, FORMS, INT, JAVA, JAXB, LONG, PRIMITIVE, PROP_FORM, RL, SHORT, STRING, VOID`

Fields inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`m_dm, m_parent, PROP_ALIAS, PROP_ID, PROP_NAME, PROP_PROPERTIES, PROP_VISIBLE`

Method Summary
`java.net.URL` | `generatedFrom()` Get the source XML Schema
`java.lang.String` | `getXMLName()` Get the corresponding XML tag name

Methods inherited from class oracle.rules.sdk.editor.datamodel.JavaFactType
`getArrayComponentType, getBeanProperties, getConstructors, getConstructorTable, getIsArray, getMethods, getMethodTable, getPackageName, getPropertyTable, getStaticFields, getStaticFieldTable, getSuperClass, getSupportXPath, validate`

Methods inherited from class oracle.rules.sdk.editor.datamodel.FactType
`getForm, getFormOptions, setForm`

Methods inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`get, getAlias, getDataModel, getID, getName, getParent, getProperties, getVisible, setAlias, setName, setVisible`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### PROP_XML_NAME

    public static final java.lang.String PROP_XML_NAME

  See Also:
    Constant Field Values

### PROP_GENERATED_FROM

    public static final java.lang.String PROP_GENERATED_FROM

  See Also:
    Constant Field Values

Method Detail

### getXMLName

    public java.lang.String getXMLName()

  Get the corresponding XML tag name
  Returns:
    The corresponding XML tag name

### generatedFrom

    public java.net.URL generatedFrom()

  Get the source XML Schema
  Returns:
    The corresponding XML schema

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.